<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-gestures-events">
  <template>
    <style>
      :host {
        display: block;
      }
      #dragme{
        width: 500px;
        height: 500px;
        background: gray;
      }
    </style>

    <div id="dragme" on-track="handleTrack">[[message]]</div>
  </template>

  <script>
    /**
     * `mi-gestures-events`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiGesturesEvents extends Polymer.GestureEventListeners(Polymer.Element) {
      static get is() { return 'mi-gestures-events'; }

      handleTrack(e) {
        switch(e.detail.state) {
          case 'start':
          this.message = 'Tracking started!';
          break;
          case 'track':
          this.message = 'Tracking in progress ...'+ e.detail.x + ', '+ e.detail.y;
          break;
          case 'end':
          this.message = 'Tracking ended!';
          break;
        }
      }
    }

    window.customElements.define(MiGesturesEvents.is, MiGesturesEvents);
  </script>
</dom-module>
